#
# spec file for package python-blinker
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-blinker
Version:        1.4
Release:        5.1
Summary:        Object-to-object and broadcast signaling in Python
License:        MIT
Group:          Development/Languages/Python
URL:            https://pythonhosted.org/blinker/
Source:         https://files.pythonhosted.org/packages/source/b/blinker/blinker-%{version}.tar.gz
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Blinker provides a dispatching system that allows any number of
interested parties to subscribe to events, or "signals".

Signal receivers can subscribe to specific senders or receive signals
sent by any sender.

%package -n python-blinker-doc
Summary:        Documentation for %{name}
Group:          Documentation/HTML
Provides:       %{python_module blinker-doc = %{version}}

%description -n python-blinker-doc
Blinker provides a dispatching system that allows any number of
interested parties to subscribe to events, or "signals".

Signal receivers can subscribe to specific senders or receive signals
sent by any sender.

This sub-package contains the HTML documentation.

%prep
%setup -q -n blinker-%{version}
# remove unneded doc file that trigger rpmlint
rm docs/html/objects.inv

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec %{_bindir}/nosetests-%{$python_bin_suffix}

%files %{python_files}
%license LICENSE
%doc AUTHORS CHANGES README.md
%{python_sitelib}/blinker-%{version}-py%{python_version}.egg-info
%{python_sitelib}/blinker

%files -n python-blinker-doc
%doc docs/html

%changelog
* Thu Dec  6 2018 tchvatal@suse.com
- Fix fdupes call
* Wed Dec  5 2018 jengelh@inai.de
- Trim bias from description.
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Sun May  7 2017 benoit.monin@gmx.fr
- convert the package to singlespec
- call fdupes to fix duplicated files
- remove unneeded buildrequires: unzip
- remove unneded doc file that trigger rpmlint
- put the documentation in a separate sub-package
* Thu Sep 15 2016 rjschwei@suse.com
- Include in SLES 12 (FATE#321371, bsc#998103)
* Fri Mar 11 2016 freitag@opensuse.org
- use setup.py option to record file list for rpm package
* Sun Jan  3 2016 freitag@opensuse.org
- Fixed doc section in file list
* Sun Jan  3 2016 freitag@opensuse.org
- update to version 1.4:
  * Verified Python 3.4 support (no changes needed)
  * Additional bookkeeping cleanup for non-ANY connections at disconnect
    time.
  * Added Signal._cleanup_bookeeping() to prune stale bookkeeping on
    demand
* Sun Feb 22 2015 benoit.monin@gmx.fr
- update to version 1.3:
  * The global signal stash behind blinker.signal() is now backed
    by a regular name-to-Signal dictionary
  * blinker.Namespace is now built on a regular dict
  * Signal.connect('text-sender') uses an alterate hashing strategy
    to avoid sharp edges in text identity.
* Wed Aug 15 2012 highwaystar.ru@gmail.com
- python3 package added
- spec improved (files section)
* Fri Jun 22 2012 saschpe@suse.de
- Update to version 1.2:
  + Added Signal.receiver_connected and
    Signal.receiver_disconnected per-Signal signals.
  + Deprecated the global 'receiver_connected' signal.
  + Verified Python 3.2 support (no changes needed!)
* Fri Sep 23 2011 saschpe@suse.de
- Initial version
